Package org.eclipse.birt.report.model.api.simpleapi

# Interface IExpression

public interface IExpression

## Method Summary

Modifier and Type
Method
Description
`Object`
`getExpression()`
Return the raw expression if the type is not constant.
`String`
`getType()`
Return the type of the expression.
`IExpressionType`
`getTypes()`
Returns the object represents all possible expression types.
`void`
`setExpression(Object expr)`
Sets the raw expression if the type is not constant.
`void`
`setType(String type)`
Sets the type of the expression.

## Method Details

### getExpression

Object getExpression()
Return the raw expression if the type is not constant. If the type is constant, get the value.

Returns:
  the raw expression or the value

### setExpression

void setExpression(Object expr) throws SemanticException
Sets the raw expression if the type is not constant. If the type is constant, sets the value.

Parameters:
  `expr` - the raw expression or the value
Throws:
  `SemanticException`

### getType

String getType()
Return the type of the expression.

Returns:
  the expression type

### setType

void setType(String type) throws SemanticException
Sets the type of the expression.

Parameters:
  `type` - the expression type.
Throws:
  `SemanticException`

### getTypes

IExpressionType getTypes()
Returns the object represents all possible expression types.

Returns:
  the expression type object